> ## Documentation Index
> Fetch the complete documentation index at: https://docs.16tms.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Duel Standings

> Fetch duel standings for a specific tournament.



## OpenAPI

````yaml /api-reference/standings/openapi.json get /tournaments/{tournamentId}/duel/standings
openapi: 3.0.0
info:
  title: Standings
  version: 1.0.0
  description: API endpoints for accessing standings
servers:
  - url: https://api.16tms.com/api/v1
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /tournaments/{tournamentId}/duel/standings:
    get:
      summary: Get Duel Standings
      description: Fetch duel standings for a specific tournament.
      operationId: getDuelStandings
      parameters:
        - name: tournamentId
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: The unique identifier of the tournament
        - name: roundId
          in: query
          required: false
          schema:
            type: string
            format: uuid
          description: Optional unique identifier of the round
        - name: externalId
          in: query
          required: false
          schema:
            type: string
          description: Optional external ID to check for 'isMe' status
      responses:
        '200':
          description: Duel standings fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetDuelStandingsResponse'
              example:
                success: true
                message: Duel standings fetched successfully
                data:
                  tournamentId: 7e8aeca4-f658-4665-9abc-cec9b369a902
                  tournamentName: The invitational
                  roundId: null
                  roundName: null
                  standings:
                    - participantId: 273ef172-9352-41b1-94fe-384dd3608b8f
                      participantName: Crimson Vipers
                      participantLogo: https://api.dicebear.com/7.x/identicon/svg?seed=Vipers
                      participantExternalId: ''
                      participantType: 1
                      wins: 0
                      losses: 0
                      draws: 1
                      matchCount: 1
                      isMe: false
                meta:
                  traceId: 00-641d2c822a17f801b3a7bbec5b1e12df-c5b1602776f181ad-00
                  elapsedMs: 36.87
                  serverTimestamp: '2026-02-17T13:15:40.9560469Z'
components:
  schemas:
    GetDuelStandingsResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          $ref: '#/components/schemas/DuelStandingsData'
        meta:
          $ref: '#/components/schemas/Meta'
    DuelStandingsData:
      type: object
      properties:
        tournamentId:
          type: string
          format: uuid
        tournamentName:
          type: string
        roundId:
          type: string
          format: uuid
          nullable: true
        roundName:
          type: string
          nullable: true
        standings:
          type: array
          items:
            $ref: '#/components/schemas/DuelStandingItem'
    Meta:
      type: object
      properties:
        traceId:
          type: string
          example: 00-f125448ab05644fa80f36b22f1d71ac5-0124b07dc253ea94-00
        elapsedMs:
          type: number
          example: 70.26
        serverTimestamp:
          type: string
          format: date-time
          example: '2026-02-12T11:21:26.4669586Z'
    DuelStandingItem:
      type: object
      properties:
        participantId:
          type: string
          format: uuid
        participantName:
          type: string
          nullable: true
        participantLogo:
          type: string
          nullable: true
        participantExternalId:
          type: string
          nullable: true
        participantType:
          type: integer
        wins:
          type: integer
        losses:
          type: integer
        draws:
          type: integer
        matchCount:
          type: integer
        isMe:
          type: boolean
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key for authentication.

````